---
updatedAt: 2026-05-12T10:00:14.000Z
---

# Retrieve a user by username

This operation returns an object containing information about the specified user. <br><br>**NOTE:** If you use query parameters with this operation you may need to add a slash (**/**) following the username and prior to the **?** used for the first query parameter.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "x-explorer-enabled": false,
  "info": {
    "title": "User API (Legacy)",
    "license": {
      "name": "(c) Copyright 2021 WhiteHat Security"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com"
    }
  ],
  "paths": {
    "/api/user/{username}": {
      "get": {
        "tags": [
          "User API v1.0"
        ],
        "summary": "Retrieve a user by username",
        "description": "This operation returns an object containing information about the specified user. <br><br>**NOTE:** If you use query parameters with this operation you may need to add a slash (**/**) following the username and prior to the **?** used for the first query parameter.",
        "operationId": "getUserWithUsername",
        "parameters": [
          {
            "name": "username",
            "in": "path",
            "description": "Username must be a valid email address.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "display_additional_attributes",
            "in": "query",
            "description": "This parameter controls if additional user attributes are displayed. PREREQUISITE: format=json",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_preferences",
            "in": "query",
            "description": "Displays a list of preferences for this user.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "format",
            "in": "query",
            "description": "Selects the requested response representation format.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "application/xml",
              "example": "application/json",
              "enum": [
                "application/json",
                "application/xml"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Provides a particular sentinel user information.",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UserGetResponseObj"
                }
              },
              "application/xml": {
                "example": "XML preview is currently not supported."
              }
            }
          },
          "400": {
            "description": "BadRequestResponse indicates a request with invalid parameters.",
            "content": {}
          },
          "401": {
            "description": "UnauthorizedResponse signals an unauthorized API access.",
            "content": {}
          },
          "403": {
            "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized.",
            "content": {}
          },
          "404": {
            "description": "NotFoundResponse indicates a request for a resource that does not exist.",
            "content": {}
          },
          "500": {
            "description": "GenericError generic error.",
            "content": {}
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "UserGetResponseObj": {
        "type": "object",
        "properties": {
          "last_name": {
            "type": "string"
          },
          "timezone": {
            "type": "string"
          },
          "last_viewed_messages": {
            "type": "string"
          },
          "role": {
            "type": "string"
          },
          "client_id": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "type": {
            "type": "string"
          },
          "email_address": {
            "type": "string"
          },
          "client": {
            "type": "string"
          },
          "first_name": {
            "type": "string"
          },
          "show_cvss": {
            "type": "string"
          },
          "immediate_severity_email": {
            "type": "string"
          },
          "last_login": {
            "type": "string"
          },
          "monthly_email": {
            "type": "boolean"
          },
          "username": {
            "type": "string"
          },
          "action_items_email": {
            "type": "boolean"
          },
          "daily_email": {
            "type": "boolean"
          },
          "weekly_email": {
            "type": "boolean"
          },
          "expose_hostnames": {
            "type": "boolean"
          },
          "email_preferences": {
            "properties": {
              "sast_pre_scan_success": {
                "type": "number"
              },
              "sast_pre_scan_failure": {
                "type": "number"
              },
              "immediate_credential": {
                "type": "number"
              },
              "sast_scan_success": {
                "type": "number"
              },
              "sast_scan_failure": {
                "type": "number"
              },
              "immediate_schedule": {
                "type": "number"
              },
              "immediate_sca_scan_complete": {
                "type": "number"
              },
              "daily_closed_vuln": {
                "type": "number"
              },
              "immediate_open_vuln": {
                "type": "number"
              },
              "immediate_closed_vuln": {
                "type": "number"
              },
              "weekly_schedule": {
                "type": "number"
              },
              "immediate_manual_scan_complete": {
                "type": "number"
              },
              "weekly_credential": {
                "type": "number"
              }
            },
            "type": "object"
          },
          "company": {
            "type": "string"
          },
          "lockedout": {
            "type": "number"
          },
          "immediate_email": {
            "type": "boolean"
          },
          "href": {
            "type": "string"
          },
          "entity_role_id": {
            "type": "string"
          },
          "has_api_key": {
            "type": "number"
          },
          "zipcode": {
            "type": "string"
          },
          "phone": {
            "type": "string"
          },
          "address": {
            "type": "string"
          },
          "city": {
            "type": "string"
          },
          "country": {
            "type": "string"
          },
          "created_by": {
            "type": "string"
          },
          "creation_time": {
            "type": "string"
          },
          "fax": {
            "type": "string"
          },
          "job_title": {
            "type": "string"
          },
          "middle_initial": {
            "type": "string"
          },
          "mobile": {
            "type": "string"
          },
          "notes": {
            "type": "string"
          },
          "require_mfa": {
            "type": "string"
          },
          "state": {
            "type": "string"
          }
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```